org.apache.maven.scm.provider.git.command.info

## Class GitInfoScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.info.InfoScmResult
    - - org.apache.maven.scm.provider.git.command.info.GitInfoScmResult

All Implemented Interfaces:
  Serializable

    public class GitInfoScmResult
    extends InfoScmResult

Author:
  Kenney Westerhof
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`GitInfoScmResult(List<GitInfoItem> files, ScmResult result)`
`GitInfoScmResult(String commandLine, List<GitInfoItem> files)`
`GitInfoScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

### Methods inherited from class org.apache.maven.scm.command.info.InfoScmResult

`getInfoItems`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitInfoScmResult

    public GitInfoScmResult(String commandLine,
                            String providerMessage,
                            String commandOutput,
                            boolean success)

#### GitInfoScmResult

    public GitInfoScmResult(String commandLine,
                            List<GitInfoItem> files)

#### GitInfoScmResult

    public GitInfoScmResult(List<GitInfoItem> files,
                            ScmResult result)